Imports System.Xml.Serialization
Imports System.IO
Imports Components4U.Net.PAD

Public Class frmMain
    Private Sub lblCopy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lblCopy.Click
        System.Diagnostics.Process.Start("www.Components4U.Net")
    End Sub

    Private Sub txtAbout_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkClickedEventArgs) Handles txtAbout.LinkClicked
        System.Diagnostics.Process.Start(e.LinkText)
    End Sub

    Private Sub btnSelectFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectFile.Click
        If dlgOpen.ShowDialog = Windows.Forms.DialogResult.OK Then
            Dim padMngr As New PADManager
            padMngr.Load(dlgOpen.FileName)
            lblCompanyAddress.Text = padMngr.CompanyInformation.Address1 & " " & padMngr.CompanyInformation.Address2
            lblCompanyName.Text = padMngr.CompanyInformation.CompanyName
            lblCompanyWebAddress.Text = padMngr.CompanyInformation.WebSiteURL
            lblAuthorEmail.Text = padMngr.CompanyInformation.ContactInformation.AuthorEmail
            lblAuthorFirstName.Text = padMngr.CompanyInformation.ContactInformation.AuthorFirstName
            lblAuthorLastName.Text = padMngr.CompanyInformation.ContactInformation.AuthorLastName
            lblProductName.Text = padMngr.ProgramInformation.Name
            lblProductVersion.Text = padMngr.ProgramInformation.Version
            lblReleaseDate.Text = padMngr.ProgramInformation.ReleaseDate.ToLongDateString
            lblProductCost.Text = padMngr.ProgramInformation.CostDollars
            lblProductType.Text = padMngr.ProgramInformation.Type
            lblReleaseStatus.Text = padMngr.ProgramInformation.ReleaseStatus
        End If
    End Sub
End Class
